import React from 'react';
import * as b from '@clutch-creator/bridge';
import Box from '@clutch-marketplace/web-elements/dist/cjs/components/Box';
import State from '@clutch-marketplace/logic/dist/cjs/components/State';
import Lottie from '../../../components/Lottie';
import _26514checksuccessanimationfn from '../../../26514-check-success-animation.json';
import Checkbox from '@clutch-marketplace/web-elements/dist/cjs/components/Checkbox';
import Defaultcheckbox1BaseOnChange from './logic/default-checkbox-1/base-onchange.js';
import Label from '@clutch-marketplace/web-elements/dist/cjs/components/Label';
import Text from '@clutch-marketplace/web-elements/dist/cjs/components/Text';
import Element from '@clutch-marketplace/element/dist/cjs/components/Element';
import Voidelement1BaseOnChange from './logic/void-element-1/base-onchange-1.js';
import styles from './styles.module.css';

export default (props) => {
    const [report, getKey] = b.useReport(props);
    const { variants } = props;
    const variables = {};
  
    const rs = report(null, '1799f016fe154b82c003f57a', 'COMPOSITION', props, variables);
  
    return ([
      <Box
        key='default-box-3'
        variants={b.getVariants(undefined)}
        className={b.mClassnames([
          b.getUniqueClassName(),
          styles['clutchClass23127'],
        ])}
        style={undefined}
        tag={'div'}
        data-d={getKey(rs, '1799f01b9fb54b82c003f5c4')}
      >
        <State
          key='boolean-state-1'
          variants={b.getVariants(undefined)}
          initialValue={false}
          data-d={getKey(rs, '1799f05fae554b82c003f95d')}
        >
          {((r, v) => (...Booleanstate1Args) => {
            const newVariables = {};
          
            let variables = {
              ...v,
              ...newVariables
            };
          
            const rs = report(r, '1799f05fae554b82c003f95d', '178bf970a34fae252001bf06', Booleanstate1Args, newVariables);
          
            const renderFn = [
              <State
                key='number-state-1'
                variants={b.getVariants(undefined)}
                initialValue={55}
                data-d={getKey(rs, '1799f0de26154b82c003f0e4')}
              >
                {((r, v) => (...Numberstate1Args) => {
                  const newVariables = {};
                
                  let variables = {
                    ...v,
                    ...newVariables
                  };
                
                  const rs = report(r, '1799f0de26154b82c003f0e4', '178bf970a34fae252001bf06', Numberstate1Args, newVariables);
                
                  const renderFn = [
                    <Lottie
                      key='Lottie-3'
                      variants={b.getVariants(undefined)}
                      animationData={_26514checksuccessanimationfn}
                      play={(() => {
                              try {
                                return (b.propertyBind(Booleanstate1Args, ['0','state']));
                              } catch (e) {}
                            })()}
                      speed={1}
                      direction={1}
                      loop={true}
                      className={b.mClassnames([
                        b.getUniqueClassName(),
                        styles['clutchClass23128'],
                      ])}
                      style={undefined}
                      goTo={(() => {
                              try {
                                return (b.propertyBind(Numberstate1Args, ['0','state']));
                              } catch (e) {}
                            })()}
                      data-d={getKey(rs, '1799f03ac9054b82c003f752')}
                    />,
                    <Box
                      key='default-box-4'
                      variants={b.getVariants(undefined)}
                      className={b.mClassnames([
                        b.getUniqueClassName(),
                        styles['clutchClass23129'],
                      ])}
                      style={undefined}
                      tag={'div'}
                      data-d={getKey(rs, '1799f07781e54b82c003faaf')}
                    >
                      <Checkbox
                        key='default-checkbox-1'
                        variants={b.getVariants(undefined)}
                        checked={(() => {
                                try {
                                  return (b.propertyBind(Booleanstate1Args, ['0','state']));
                                } catch (e) {}
                              })()}
                        onChange={((...args) => Defaultcheckbox1BaseOnChange(...args, (() => {
                                try {
                                  return (b.propertyBind(Booleanstate1Args, ['0','setState']));
                                } catch (e) {}
                              })()))}
                        disabled={undefined}
                        name={undefined}
                        id={'playing'}
                        data-d={getKey(rs, '1799f07d40e54b82c003faf8')}
                      />
                      <Label
                        key='default-label-1'
                        variants={b.getVariants(undefined)}
                        className={b.getUniqueClassName()}
                        style={undefined}
                        htmlFor={'playing'}
                        data-d={getKey(rs, '1799f0a7b2a54b82c003fd6b')}
                      >
                        <Text
                          key='default-text-2'
                          variants={b.getVariants(undefined)}
                          className={b.getUniqueClassName()}
                          style={undefined}
                          text={'Playing'}
                          tag={'span'}
                          data-d={getKey(rs, '1799f0ae66c54b82c003fdc6')}
                        />
                      </Label>
                    </Box>,
                    <Box
                      key='default-box-27'
                      variants={b.getVariants(undefined)}
                      className={b.mClassnames([
                        b.getUniqueClassName(),
                        styles['clutchClass23132'],
                      ])}
                      style={undefined}
                      tag={'div'}
                      data-d={getKey(rs, '1799f0ccd8354b82c003ff7e')}
                    >
                      <Text
                        key='default-text-20'
                        variants={b.getVariants(undefined)}
                        className={b.getUniqueClassName()}
                        style={undefined}
                        text={'Controlled position'}
                        tag={'span'}
                        data-d={getKey(rs, '1799f0ccd8454b82c003ff82')}
                      />
                      <Element
                        key='void-element-1'
                        variants={b.getVariants(undefined)}
                        tag={'input'}
                        type={'range'}
                        min={0}
                        max={100}
                        value={(() => {
                                try {
                                  return (b.propertyBind(Numberstate1Args, ['0','state']));
                                } catch (e) {}
                              })()}
                        onChange={((...args) => Voidelement1BaseOnChange(...args, (() => {
                                try {
                                  return (b.propertyBind(Numberstate1Args, ['0','setState']));
                                } catch (e) {}
                              })()))}
                        step={1}
                        data-d={getKey(rs, '1799f0f98b354b82c003f36b')}
                      />
                    </Box>
                  ];
                
                  return typeof renderFn === 'function' ? renderFn(...Numberstate1Args) : renderFn;
                })(rs, variables)}
              </State>
            ];
          
            return typeof renderFn === 'function' ? renderFn(...Booleanstate1Args) : renderFn;
          })(rs, variables)}
        </State>
      </Box>
    ]);
  };
  ;
