import React from 'react';
import * as b from '@clutch-creator/bridge';
import Hook from '@clutch-marketplace/logic/dist/cjs/components/Hook';
import Defaulthook1BaseHookModule from './logic/default-hook-1/base-hookmodule.js';
import State from '@clutch-marketplace/logic/dist/cjs/components/State';
import Defaulthook2BaseHookModule from './logic/default-hook-2/base-hookmodule-1.js';
import Defaulthook2BaseArguments0 from './logic/default-hook-2/base-arguments0.js';
import Box from '@clutch-marketplace/web-elements/dist/cjs/components/Box';
import Text from '@clutch-marketplace/web-elements/dist/cjs/components/Text';
import Lottie from '../../../components/Lottie';
import _26514checksuccessanimationfn from '../../../26514-check-success-animation.json';
import styles from './styles.module.css';

export default (props) => {
    const [report, getKey] = b.useReport(props);
    const { variants } = props;
    const variables = {};
  
    const rs = report(null, '179a00e0edf54b82c003f717', 'COMPOSITION', props, variables);
  
    return ([
      <Hook
        key='default-hook-1'
        variants={b.getVariants(undefined)}
        hookModule={Defaulthook1BaseHookModule}
        arguments={undefined}
        data-d={getKey(rs, '179a04493a4fae252001b33c')}
      >
        {((r, v) => (...Defaulthook1Args) => {
          const newVariables = {};
        
          let variables = {
            ...v,
            ...newVariables
          };
        
          const rs = report(r, '179a04493a4fae252001b33c', '1791eb63ceefae252001b80a', Defaulthook1Args, newVariables);
        
          const renderFn = [
            <State
              key='number-state-2'
              variants={b.getVariants(undefined)}
              initialValue={0}
              data-d={getKey(rs, '179a018c17f54b82c003f621')}
            >
              {((r, v) => (...Numberstate2Args) => {
                const newVariables = {};
              
                let variables = {
                  ...v,
                  ...newVariables
                };
              
                const rs = report(r, '179a018c17f54b82c003f621', '178bf970a34fae252001bf06', Numberstate2Args, newVariables);
              
                const renderFn = [
                  <Hook
                    key='default-hook-2'
                    variants={b.getVariants(undefined)}
                    hookModule={Defaulthook2BaseHookModule}
                    arguments={[
                      ((...args) => Defaulthook2BaseArguments0(...args, (() => {
                            try {
                              return (b.propertyBind(Defaulthook1Args, ['0']));
                            } catch (e) {}
                          })(),(() => {
                            try {
                              return (b.propertyBind(Numberstate2Args, ['0','setState']));
                            } catch (e) {}
                          })())),
                      undefined,
                    ]}
                    data-d={getKey(rs, '179a04697a8fae252001b554')}
                  >
                    {((r, v) => (...Defaulthook2Args) => {
                      const newVariables = {};
                    
                      let variables = {
                        ...v,
                        ...newVariables
                      };
                    
                      const rs = report(r, '179a04697a8fae252001b554', '1791eb63ceefae252001b80a', Defaulthook2Args, newVariables);
                    
                      const renderFn = [
                        <Box
                          key='default-box-5'
                          variants={b.getVariants(undefined)}
                          className={b.mClassnames([
                            b.getUniqueClassName(),
                            styles['clutchClass23162'],
                          ])}
                          style={undefined}
                          tag={'div'}
                          ref={(() => {
                                  try {
                                    return (b.propertyBind(Defaulthook1Args, ['0']));
                                  } catch (e) {}
                                })()}
                          data-d={getKey(rs, '179a00ec82454b82c003f7e0')}
                        >
                          <Box
                            key='default-box-7'
                            variants={b.getVariants(undefined)}
                            className={b.mClassnames([
                              b.getUniqueClassName(),
                              styles['clutchClass23163'],
                            ])}
                            style={undefined}
                            tag={'div'}
                            data-d={getKey(rs, '179a0103b5654b82c003f923')}
                          >
                            <Text
                              key='default-text-5'
                              variants={b.getVariants(undefined)}
                              className={b.getUniqueClassName()}
                              style={undefined}
                              text={'Scroll down'}
                              tag={'p'}
                              data-d={getKey(rs, '179a010d31d54b82c003f9ee')}
                            />
                            <Text
                              key='default-text-6'
                              variants={b.getVariants(undefined)}
                              className={b.mClassnames([
                                b.getUniqueClassName(),
                                styles['clutchClass23165'],
                              ])}
                              style={undefined}
                              text={'⬇️'}
                              tag={'span'}
                              role={'img'}
                              aria-label={'Scroll down'}
                              data-d={getKey(rs, '179a012bdf854b82c003f096')}
                            />
                            <Lottie
                              key='Lottie-5'
                              variants={b.getVariants(undefined)}
                              animationData={_26514checksuccessanimationfn}
                              play={undefined}
                              speed={1}
                              direction={1}
                              loop={false}
                              className={b.mClassnames([
                                b.getUniqueClassName(),
                                styles['clutchClass23166'],
                              ])}
                              style={undefined}
                              goTo={(() => {
                                      try {
                                        return (b.propertyBind(Numberstate2Args, ['0','state']));
                                      } catch (e) {}
                                    })()}
                              data-d={getKey(rs, '179a01474b054b82c003f2bc')}
                            />
                          </Box>
                        </Box>
                      ];
                    
                      return typeof renderFn === 'function' ? renderFn(...Defaulthook2Args) : renderFn;
                    })(rs, variables)}
                  </Hook>
                ];
              
                return typeof renderFn === 'function' ? renderFn(...Numberstate2Args) : renderFn;
              })(rs, variables)}
            </State>
          ];
        
          return typeof renderFn === 'function' ? renderFn(...Defaulthook1Args) : renderFn;
        })(rs, variables)}
      </Hook>
    ]);
  };
  ;
